import http from '../utils/http'
import { Get_LOGIN_SMS } from './chat';
export const LOGIN_URL = '/login';
export const TEL_LOGIN_URL = '/send_login_sms';
/**
 * @summary description
 */
export const PostLogin = async (params,extraData={}) => {
  return http.request({
    url: LOGIN_URL,
    method: 'POST',
    data: params,
    headers: {
      'content-Type': 'application/x-www-form-urlencoded',
    },
    ...extraData
  });
};

/**
 * @summary description
 */
export const PostLogout = async () => {
  return http.request({
    url: '/logout',
    method: 'POST',
  });
};

//发送短信验证码
export const loginVerifyMessage = async (params) => {
  return http.request({
    url: TEL_LOGIN_URL,
    method: 'POST',
    data: params,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
};

//发送短信验证码登录
export const loginMessageUser = async (params) => {
  return http.request({
    url: Get_LOGIN_SMS,
    method: 'POST',
    data: params,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
};
